Bug 8750 - Definition of $LESSOPEN in /etc/profile.d/less.{sh,csh} is broken
Definition of $LESSOPEN in /etc/profile.d/less.{sh,csh} is broken
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: less (Show other bugs)
1.0
All Linux
medium Severity low
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-01-22 13:48 EST by fortytwo
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-01-24 18:11:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description fortytwo 2000-01-22 13:48:17 EST
There's supposed to be a "|" in front of the command.

These files don't seem to come from the less source distribution, but are
in the less-340-2 rpm on rawhide.

With these changes, "less file.rpm", etc., work for me.

--- less.sh~    Sun Jan  9 14:28:43 2000
+++ less.sh     Sat Jan 22 13:38:07 2000
@@ -1,4 +1,4 @@
 # KDE initialization script (sh)
 if [ -x /usr/bin/lesspipe.sh ] ; then
-  export  LESSOPEN="/usr/bin/lesspipe.sh %s"
+  export  LESSOPEN="|/usr/bin/lesspipe.sh %s"
 fi

--- less.csh~   Sun Jan  9 14:28:43 2000
+++ less.csh    Sat Jan 22 13:38:15 2000
@@ -1,2 +1,2 @@
 # KDE initialization script (csh)
-test -x /usr/bin/lesspipe.sh || setenv LESSOPEN "/usr/bin/lesspipe.sh %s"
+test -x /usr/bin/lesspipe.sh || setenv LESSOPEN "|/usr/bin/lesspipe.sh %s"
Comment 1 Bernhard Rosenkraenzer 2000-01-24 18:10:59 EST
Thanks, fixed (along with a couple of other problems, the csh script
should have said && instead of || and such)

Note You need to log in before you can comment on or make changes to this bug.